landscape-sysinfo(1)

NAME
landscape-sysinfo - Display a summary of the current system status

SYNOPSIS

landscape-sysinfo [options]

DESCRIPTION

landscape-sysinfo is a utility that displays information about the computer it is run on. This information is displayed upon login for console users (ssh and terminal login supported) and can also be seen at anytime by just calling landscape-sysinfo from the command line.

The output of landscape-sysinfo can be controlled by enabling or disabling its plugins. See below how to do that.

If the system load is higher than the number of cores, as determined by the count of processor lines in /proc/cpuinfo, then landscape-sysinfo will not run at login time. This is to prevent it from potentially making a bad situation worse by interfering with what could be an administrator logging in to try to fix the problem causing the high load.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit -c FILE, --config=FILE Use config from this file (any command line options override settings from the file) (default: '/etc/landscape/client.conf'). -d PATH, --data-path=PATH The directory to store data files in (default: '/var/lib/landscape/client/'). --sysinfo-plugins=PLUGIN_LIST Comma-delimited list of sysinfo plugins to use. --exclude-sysinfo-plugins=PLUGIN_LIST Comma-delimited list of sysinfo plugins to NOT use. This always take precedence over plugins to include.

Available plugins: Load, Disk, Memory, Temperature, Processes, LoggedInUsers, Network

Default plugins: Load, Disk, Memory, Temperature, Processes, LoggedInUsers, Network

CONFIGURATION FILE

Any of the long command-line options can be used as a configuration directive in that configuration file, under the section [sysinfo], by replacing the hyphen (-) with an underscore (_).

For example, to disable the Network and Temperature plugins without having to use the command line option, the following can be added to /etc/landscape/client.conf:

    [sysinfo]
    exclude_sysinfo_plugins = Temperature, Network

EXAMPLES

This is the default configuration with all plugins enabled:

    $ landscape-sysinfo

      System load:    0.66               Processes:             242
      Usage of /home: 72.0% of 27.50GB   Users logged in:       1
      Memory usage:   31%                IP address for wlan0:  10.0.1.6
      Swap usage:     0%                 IP address for virbr0: 192.168.122.1
      Temperature:    47 C

      => There is 1 zombie process.

If you want to disable the temperature and Network plugins, you could run it like this:

    $ landscape-sysinfo --exclude-sysinfo-plugins=Temperature,Network

      System load: 0.3               Memory usage: 12%   Processes:       88
      Usage of /:  14.0% of 9.52GB   Swap usage:   0%    Users logged in: 1

      => There is 1 zombie process.

FILES
/etc/landscape/client.conf Configuration file

/var/log/landscape/sysinfo.log Log file for when the tool is run as root. This file will usually be empty, unless something wrong happened. In that case, it will have more information about the problem. When a regular non-root user runs the tool, the log file is ~/.landscape/sysinfo.log.

SEE ALSO
landscape-client(1) update-motd(5)